Debian Bug report logs - #565124
util-linux: blkid man pages description lacks mention of UUIDs

version graph

Package: util-linux; Maintainer for util-linux is LaMont Jones <lamont@debian.org>; Source for util-linux is src:util-linux.

Reported by: Arthur Marsh <arthur.marsh@internode.on.net>

Date: Wed, 13 Jan 2010 07:15:01 UTC

Severity: normal

Found in versions util-linux/2.16.2-0, util-linux/2.17.2-3.1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#565124; Package util-linux. (Wed, 13 Jan 2010 07:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
New Bug report received and forwarded. Copy sent to LaMont Jones <lamont@debian.org>. (Wed, 13 Jan 2010 07:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: util-linux: blkid man pages description lacks mention of UUIDs
Date: Wed, 13 Jan 2010 17:41:31 +1030
Package: util-linux
Version: 2.16.2-0
Severity: normal


At present man -k blkid returns:

blkid (8)            - command-line utility to locate/print block device attr

This isn't helpful when one tries to find the command to return the UUID
of a given device (e.g. to get mount to use UUID's instead of device names).

Something like:

- locate/print UUID and other block device attributes

would be better.

"command-line utility to" doesn't convey much information.

Regards,

Arthur.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32 (SMP w/1 CPU core; PREEMPT)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages util-linux depends on:
ii  dpkg                    1.15.5.6         Debian package management system
ii  initscripts             2.87dsf-8        scripts for initializing and shutt
ii  install-info            4.13a.dfsg.1-5   Manage installed documentation in 
ii  libblkid1               2.16.2-0         block device id library
ii  libc6                   2.10.2-5         Embedded GNU C Library: Shared lib
ii  libncurses5             5.7+20090803-2   shared libraries for terminal hand
ii  libselinux1             2.0.89-4         SELinux runtime shared libraries
ii  libuuid1                2.16.2-0         Universally Unique ID library
ii  lsb-base                3.2-23           Linux Standard Base 3.2 init scrip
ii  tzdata                  2009u-1          time zone and daylight-saving time
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

util-linux recommends no packages.

Versions of packages util-linux suggests:
ii  console-tools              1:0.2.3dbs-68 Linux console and font utilities
ii  dosfstools                 3.0.6-1       utilities for making and checking 
ii  kbd-compat [kbd]           1:0.2.3dbs-68 Wrappers around console-tools for 
pn  util-linux-locales         <none>        (no description available)

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#565124; Package util-linux. (Fri, 19 Mar 2010 03:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Fri, 19 Mar 2010 03:24:04 GMT) Full text and rfc822 format available.

Message #10 received at 565124@bugs.debian.org (full text, mbox):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: Debian Bug Tracking System <565124@bugs.debian.org>
Subject: Re: blkid man pages description lacks mention of UUIDs
Date: Fri, 19 Mar 2010 13:51:47 +1030
Package: util-linux
Version: 2.16.2-0
Severity: normal


If the space allowed for the one-line summary of the command blkid allows it,
mention could be made of labels as well as UUIDs.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32 (SMP w/1 CPU core; PREEMPT)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages util-linux depends on:
ii  dpkg                    1.15.5.6         Debian package management system
ii  initscripts             2.87dsf-8.1      scripts for initializing and shutt
ii  install-info            4.13a.dfsg.1-5   Manage installed documentation in 
ii  libblkid1               2.16.2-0         block device id library
ii  libc6                   2.10.2-6         Embedded GNU C Library: Shared lib
ii  libncurses5             5.7+20100313-1   shared libraries for terminal hand
ii  libselinux1             2.0.89-4         SELinux runtime shared libraries
ii  libuuid1                2.16.2-0         Universally Unique ID library
ii  lsb-base                3.2-23           Linux Standard Base 3.2 init scrip
ii  tzdata                  2010e-1          time zone and daylight-saving time
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

util-linux recommends no packages.

Versions of packages util-linux suggests:
ii  console-tools              1:0.2.3dbs-69 Linux console and font utilities
ii  dosfstools                 3.0.9-1       utilities for making and checking 
ii  kbd-compat [kbd]           1:0.2.3dbs-69 Wrappers around console-tools for 
pn  util-linux-locales         <none>        (no description available)

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#565124; Package util-linux. (Sat, 18 Sep 2010 23:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Sat, 18 Sep 2010 23:15:03 GMT) Full text and rfc822 format available.

Message #15 received at 565124@bugs.debian.org (full text, mbox):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: Debian Bug Tracking System <565124@bugs.debian.org>
Subject: Re: blkid man pages description lacks mention of UUIDs
Date: Sun, 19 Sep 2010 08:42:03 +0930
Package: util-linux
Version: 2.17.2-3.1
Severity: normal


Hi, this bug affects the ability of users to discover the blkid command to find the  UUID's of block devices by not providing UUID in the man page description.

Please address this issue.

Regards,

Arthur.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.36-rc4-git4 (SMP w/1 CPU core; PREEMPT)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages util-linux depends on:
ii  dpkg                    1.15.8.5         Debian package management system
ii  initscripts             2.88dsf-12       scripts for initializing and shutt
ii  install-info            4.13a.dfsg.1-5   Manage installed documentation in 
ii  libblkid1               2.17.2-3.1       block device id library
ii  libc6                   2.11.2-6         Embedded GNU C Library: Shared lib
ii  libncurses5             5.7+20100313-3   shared libraries for terminal hand
ii  libselinux1             2.0.96-1         SELinux runtime shared libraries
ii  libuuid1                2.17.2-3.1       Universally Unique ID library
ii  lsb-base                3.2-23.1         Linux Standard Base 3.2 init scrip
ii  tzdata                  2010l-1          time zone and daylight-saving time
ii  zlib1g                  1:1.2.3.4.dfsg-3 compression library - runtime

util-linux recommends no packages.

Versions of packages util-linux suggests:
ii  console-tools              1:0.2.3dbs-69 Linux console and font utilities
ii  dosfstools                 3.0.9-1       utilities for making and checking 
ii  kbd-compat [kbd]           1:0.2.3dbs-69 Wrappers around console-tools for 
pn  util-linux-locales         <none>        (no description available)

-- debconf-show failed




Reply sent to Phillip Susi <psusi@ubuntu.com>:
You have taken responsibility. (Fri, 01 Nov 2013 19:48:05 GMT) Full text and rfc822 format available.

Notification sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Bug acknowledged by developer. (Fri, 01 Nov 2013 19:48:05 GMT) Full text and rfc822 format available.

Message #20 received at 565124-done@bugs.debian.org (full text, mbox):

From: Phillip Susi <psusi@ubuntu.com>
To: 565124-done@bugs.debian.org
Subject: util-linux: blkid man pages description lacks mention of UUIDs
Date: Fri, 01 Nov 2013 15:45:28 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The description does mention UUIDs:

> DESCRIPTION The blkid program is the command-line interface to
> working with libblkid(3) library.  It can deter? mine the type of
> content (e.g. filesystem, swap) a block device holds, and also
> attributes (tokens, NAME=value pairs) from the content metadata
> (e.g. LABEL or UUID fields).
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (MingW32)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQEcBAEBAgAGBQJSdATYAAoJEJrBOlT6nu75ptAH/RAW3bV0QXLuGD3Rs8T3vSmy
hGogmIUz90qzz/1CxkTKXo/7yRLlkD80QeO/yr45P84RL+Z/fEpUSDRE4q7ETZy/
f65NpQ7gLsqsm3Xg5VwluCCmbeFWBAaWrS1WwTbnv55YthCyFp036eZwIONQ2Ql0
qV4r1nboUuA5JSWFGV050VV7RPhXUpons42s3Rb2xYi0gnJD7gnMOehtmVZA6tNN
cfAiPj3SRoGrS3a9NKMNG2lEcvl5YMBIBTkU1tu1Z0AM+az5eDfFAKBcsIbvThpx
D4D6XtGHVuodqRnq3CNq6MZvSJMm9Y5Q31uSpvRU89Y4gSCHtKCVUJHP/Rj5PDU=
=b+IB
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#565124; Package util-linux. (Sat, 02 Nov 2013 05:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arthur Marsh <arthur.marsh@internode.on.net>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Sat, 02 Nov 2013 05:27:05 GMT) Full text and rfc822 format available.

Message #25 received at 565124@bugs.debian.org (full text, mbox):

From: Arthur Marsh <arthur.marsh@internode.on.net>
To: 565124@bugs.debian.org
Subject: Re: Bug#565124 closed by Phillip Susi <psusi@ubuntu.com> (util-linux: blkid man pages description lacks mention of UUIDs)
Date: Sat, 02 Nov 2013 15:55:16 +1030

Debian Bug Tracking System wrote, on 02/11/13 06:18:
> This is an automatic notification regarding your Bug report
> which was filed against the util-linux package:
>
> #565124: util-linux: blkid man pages description lacks mention of UUIDs
>
> It has been closed by Phillip Susi <psusi@ubuntu.com>.
>
> Their explanation is attached below along with your original report.
> If this explanation is unsatisfactory and you have not received a
> better one in a separate message then please contact Phillip Susi <psusi@ubuntu.com> by
> replying to this email.
>
>

Hi, the problem was that

man -k UUID

wouldn't suggest the blkid program.

Regards,

Arthur.



Information forwarded to debian-bugs-dist@lists.debian.org, LaMont Jones <lamont@debian.org>:
Bug#565124; Package util-linux. (Sat, 02 Nov 2013 14:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Phillip Susi <psusi@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to LaMont Jones <lamont@debian.org>. (Sat, 02 Nov 2013 14:15:05 GMT) Full text and rfc822 format available.

Message #30 received at 565124@bugs.debian.org (full text, mbox):

From: Phillip Susi <psusi@ubuntu.com>
To: Arthur Marsh <arthur.marsh@internode.on.net>, 565124@bugs.debian.org
Subject: Re: Bug#565124: closed by Phillip Susi <psusi@ubuntu.com> (util-linux: blkid man pages description lacks mention of UUIDs)
Date: Sat, 02 Nov 2013 10:12:43 -0400
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

reopen 565124
thanks

On 11/02/2013 01:25 AM, Arthur Marsh wrote:
> Hi, the problem was that
> 
> man -k UUID
> 
> wouldn't suggest the blkid program.

Ahh, I see, thanks.  That should be simple enough.


-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQEcBAEBCgAGBQJSdQhbAAoJEJrBOlT6nu75UtIH/1WWHuCl+A3tLpjLa8+MdoIz
oIE8TxlRX84KH+Gt2UwOrc40rGyJPwHZ5xHPNlzcV3oQd72up1XqhD6HRaqPwlFP
9l6bbA+8JxEuQrBPNrYkrFpjZ+Qh3xYrFPJ360c3E/bs94B+WnucTb53HSgSs4NK
5/h6CeB6Wdzva1ppUMLcQlgddR1W22ywdHOgAXUIgPGxNQwk2Tw9tYg8eZwgJ/PE
r+TUL5g5sJIgm70A6OhYZ1VA3Xl/1ZbwHZiDVsBwDsSTmX+A3r0IUI0z4lEUlAVt
7a1UGQ4hSdbyJ7q0EjcDuehecfu2c9ZC3tizvUo5XD7e9uUbVj6GGI4lobG6vUo=
=3rpl
-----END PGP SIGNATURE-----



Bug reopened Request was from Phillip Susi <psusi@ubuntu.com> to control@bugs.debian.org. (Sat, 02 Nov 2013 14:15:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:30:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.